<template>
  <q-card class="q-pb-md" v-if="reference" flat>

    <q-card-section class="text-primary text-weight-bold reference__heading" role="heading" aria-level="2">
      <div><span>{{ reference.id }}</span></div>
    </q-card-section>
    <div class="row" role="row">
      <div class="col-3 label" role="rowheader">label</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.label }}</div>
    </div>
    <div class="row" role="row">
      <div class="col-3 label" role="rowheader">Name</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.name }}</div>
    </div>
    <div class="row" role="row" v-if="reference.number">
      <div class="col-3 label" role="rowheader">Number</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.number }}</div>
    </div>
    <div class="row" role="row" v-if="reference.issuedate">
      <div class="col-3 label" role="rowheader">Datum van publicatie</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.issuedate }}</div>
    </div>
    <div class="row" role="row" v-if="reference.chapter">
      <div class="col-3 label" role="rowheader">Hoofdstuk</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.chapter }}</div>
    </div>
    <div class="row" role="row" v-if="reference.page">
      <div class="col-3 label" role="rowheader">Pagina</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.page }}</div>
    </div>
    <div class="row" role="row" v-if="reference.footnoot">
      <div class="col-3 label" role="rowheader">Voetnoot</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.footnote }}</div>
    </div>
    <div class="row" role="row" v-if="reference.sentence">
      <div class="col-3 label" role="rowheader">Uitspraak</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.sentence }}</div>
    </div>
    <div class="row" role="row" v-if="reference.article">
      <div class="col-3 label" role="rowheader">Artikel</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.article }}</div>
    </div>
    <div class="row" role="row" v-if="reference.note">
      <div class="col-3 label" role="rowheader">Nota</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.note }}</div>
    </div>
    <div class="row" role="row" v-if="reference.section">
      <div class="col-3 label" role="rowheader">Sectie</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.section }}</div>
    </div>
    <div class="row" role="row" v-if="reference.subsection">
      <div class="col-3 label" role="rowheader">Subsectie</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.subsection }}</div>
    </div>
    <div class="row" role="row" v-if="reference.publisher">
      <div class="col-3 label" role="rowheader">Uitgever</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.publisher }}</div>
    </div>
    <div class="row" role="row" v-if="reference.paragraph">
      <div class="col-3 label" role="rowheader">Paragraaf</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.paragraph }}</div>
    </div>
    <div class="row" role="row" v-if="reference.subparagraph">
      <div class="col-3 label" role="rowheader">Subparagraaf</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.subparagraph }}</div>
    </div>
    <div class="row" role="row" v-if="reference.clause">
      <div class="col-3 label" role="rowheader">Clause</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.clause }}</div>
    </div>
    <div class="row" role="row" v-if="reference.subclause">
      <div class="col-3 label" role="rowheader">Sublause</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.subclause }}</div>
    </div>
    <div class="row" role="row" v-if="reference.appendix">
      <div class="col-3 label" role="rowheader">Appendix</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.appendix }}</div>
    </div>
    <div class="row" role="row" v-if="reference.example">
      <div class="col-3 label" role="rowheader">Voorbeeld</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.example }}</div>
    </div>
    <div class="row" role="row" v-if="reference.uri">
      <div class="col-3 label" role="rowheader">URI</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.uri }}</div>
    </div>
    <div class="row" role="row" v-if="reference.uridate">
      <div class="col-3 label" role="rowheader">URI datum</div>
      <div class="col-8 value detail_bg" role="cell">{{ reference.uridate }}</div>
    </div>
    <div class="row q-ma-md" role="region" aria-label="Vindplaatsen">
      <ReferenceBackreference
        :dts_name="dts_name"
        :nt_version="nt_version"
        v-on:conceptClicked="concept_clicked"
        :reference_id="reference.id"></ReferenceBackreference>
    </div>
  </q-card>
</template>

<script>
import ReferenceBackreference from "components/ReferenceBackreference";

export default {
  name: "ReferenceDetailCard",
  components: {ReferenceBackreference},
  props: {
    reference: Object,
    dts_name: String,
    nt_version: String
  },
  methods: {
    concept_clicked: function (concept) {
      this.$emit('conceptClicked', concept)
    }
  },
}
</script>

<style scoped lang="scss">
.reference__heading {
  border-bottom: 1px solid $primary;
  font-size: 20px;
  margin-bottom: 10px;
}

.value {
  border-radius: 5px;
  padding: 5px 0 5px 10px;
}

.row {
  padding: 5px 0 0 0;
}

.label {
  padding: 5px 0 5px 10px;
}

table {
  border-spacing: 5px;
  width: 100%;
}

th {
  text-align: left;
}

td.tiny {
  width: 10%;
}
</style>
